import es
from es import server_var
import string

###CONFIG###
ds_publicize = es.ServerVar("ds_publicize", 1, "Show a deslang message on round start?")
############

deslang_ver = es.ServerVar("deslang_ver", "1.0", "The version of DeSlang you are running.")
deslang_ver.makepublic()

def load():
    es.regsaycmd("!deslang", "deslang/deslang", "Search a word.")

def round_start(event_var):
    if ds_publicize == 1:
        es.msg("#multi", "#green[DeSlang]#default Type #lightgreen!deslang#default to search the meaning of a slang term.")

def deslang():
    ds_userid = es.getcmduserid()
    ds_temp = es.getargc()
    if ds_temp == 1:
        es.tell(ds_userid, "#multi", "#green[DeSlang] #lightgreenSyntax#default: !deslang [WORD]")
    else:
        ds_search = es.getargs()
        ds_path = es.getAddonPath('deslang') + "/txt/dictionary.txt"
        ds_data = open(ds_path,"r")
        ds_description = 0
        ds_word = 0
        for ds_line in ds_data.readlines():
            ds_word = ds_line.split('==')[0]
            ds_search = string.lower(ds_search)
            ds_word = string.lower(ds_word)
            if ds_search == ds_word:
                ds_description = ds_line.replace(ds_word, "", 1)
                ds_description = ds_description.replace("==", "", 1)
                es.tell(ds_userid, "#multi", "#green[DeSlang] #lightgreen%s#default: %s" % (str(ds_word), str(ds_description)))
        if ds_description == 0:
            es.tell(ds_userid, "#multi", "#green[DeSlang] #lightgreen%s#default: No matches found." % ds_search)